Index: XIOS/dev/dev_olga/src/interface/fortran_attr/ivariable_attr.F90
===================================================================
--- XIOS/dev/dev_olga/src/interface/fortran_attr/ivariable_attr.F90	(revision 983)
+++ XIOS/dev/dev_olga/src/interface/fortran_attr/ivariable_attr.F90	(revision 1158)
@@ -12,5 +12,5 @@
 
   SUBROUTINE xios(set_variable_attr)  &
-    ( variable_id, name, type )
+    ( variable_id, name, ts_target, type )
 
     IMPLICIT NONE
@@ -18,4 +18,5 @@
       CHARACTER(LEN=*), INTENT(IN) ::variable_id
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_target
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
@@ -23,27 +24,29 @@
       (variable_id,variable_hdl)
       CALL xios(set_variable_attr_hdl_)   &
-      ( variable_hdl, name, type )
+      ( variable_hdl, name, ts_target, type )
 
   END SUBROUTINE xios(set_variable_attr)
 
   SUBROUTINE xios(set_variable_attr_hdl)  &
-    ( variable_hdl, name, type )
+    ( variable_hdl, name, ts_target, type )
 
     IMPLICIT NONE
       TYPE(txios(variable)) , INTENT(IN) :: variable_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_target
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
       CALL xios(set_variable_attr_hdl_)  &
-      ( variable_hdl, name, type )
+      ( variable_hdl, name, ts_target, type )
 
   END SUBROUTINE xios(set_variable_attr_hdl)
 
   SUBROUTINE xios(set_variable_attr_hdl_)   &
-    ( variable_hdl, name_, type_ )
+    ( variable_hdl, name_, ts_target_, type_ )
 
     IMPLICIT NONE
       TYPE(txios(variable)) , INTENT(IN) :: variable_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_target_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
 
@@ -51,4 +54,9 @@
         CALL cxios_set_variable_name &
       (variable_hdl%daddr, name_, len(name_))
+      ENDIF
+
+      IF (PRESENT(ts_target_)) THEN
+        CALL cxios_set_variable_ts_target &
+      (variable_hdl%daddr, ts_target_, len(ts_target_))
       ENDIF
 
@@ -61,5 +69,5 @@
 
   SUBROUTINE xios(get_variable_attr)  &
-    ( variable_id, name, type )
+    ( variable_id, name, ts_target, type )
 
     IMPLICIT NONE
@@ -67,4 +75,5 @@
       CHARACTER(LEN=*), INTENT(IN) ::variable_id
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_target
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
@@ -72,27 +81,29 @@
       (variable_id,variable_hdl)
       CALL xios(get_variable_attr_hdl_)   &
-      ( variable_hdl, name, type )
+      ( variable_hdl, name, ts_target, type )
 
   END SUBROUTINE xios(get_variable_attr)
 
   SUBROUTINE xios(get_variable_attr_hdl)  &
-    ( variable_hdl, name, type )
+    ( variable_hdl, name, ts_target, type )
 
     IMPLICIT NONE
       TYPE(txios(variable)) , INTENT(IN) :: variable_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_target
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
       CALL xios(get_variable_attr_hdl_)  &
-      ( variable_hdl, name, type )
+      ( variable_hdl, name, ts_target, type )
 
   END SUBROUTINE xios(get_variable_attr_hdl)
 
   SUBROUTINE xios(get_variable_attr_hdl_)   &
-    ( variable_hdl, name_, type_ )
+    ( variable_hdl, name_, ts_target_, type_ )
 
     IMPLICIT NONE
       TYPE(txios(variable)) , INTENT(IN) :: variable_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_target_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
 
@@ -100,4 +111,9 @@
         CALL cxios_get_variable_name &
       (variable_hdl%daddr, name_, len(name_))
+      ENDIF
+
+      IF (PRESENT(ts_target_)) THEN
+        CALL cxios_get_variable_ts_target &
+      (variable_hdl%daddr, ts_target_, len(ts_target_))
       ENDIF
 
@@ -110,5 +126,5 @@
 
   SUBROUTINE xios(is_defined_variable_attr)  &
-    ( variable_id, name, type )
+    ( variable_id, name, ts_target, type )
 
     IMPLICIT NONE
@@ -117,4 +133,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_target
+      LOGICAL(KIND=C_BOOL) :: ts_target_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
@@ -123,10 +141,10 @@
       (variable_id,variable_hdl)
       CALL xios(is_defined_variable_attr_hdl_)   &
-      ( variable_hdl, name, type )
+      ( variable_hdl, name, ts_target, type )
 
   END SUBROUTINE xios(is_defined_variable_attr)
 
   SUBROUTINE xios(is_defined_variable_attr_hdl)  &
-    ( variable_hdl, name, type )
+    ( variable_hdl, name, ts_target, type )
 
     IMPLICIT NONE
@@ -134,14 +152,16 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_target
+      LOGICAL(KIND=C_BOOL) :: ts_target_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
 
       CALL xios(is_defined_variable_attr_hdl_)  &
-      ( variable_hdl, name, type )
+      ( variable_hdl, name, ts_target, type )
 
   END SUBROUTINE xios(is_defined_variable_attr_hdl)
 
   SUBROUTINE xios(is_defined_variable_attr_hdl_)   &
-    ( variable_hdl, name_, type_ )
+    ( variable_hdl, name_, ts_target_, type_ )
 
     IMPLICIT NONE
@@ -149,4 +169,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: name_
       LOGICAL(KIND=C_BOOL) :: name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_target_
+      LOGICAL(KIND=C_BOOL) :: ts_target__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type_
       LOGICAL(KIND=C_BOOL) :: type__tmp
@@ -156,4 +178,10 @@
       (variable_hdl%daddr)
         name_ = name__tmp
+      ENDIF
+
+      IF (PRESENT(ts_target_)) THEN
+        ts_target__tmp = cxios_is_defined_variable_ts_target &
+      (variable_hdl%daddr)
+        ts_target_ = ts_target__tmp
       ENDIF
 
